Summary	: Automatically mount drives under /mnt/auto/ using autofs. 
Name		: mounttero
Version		: 0.5
Release		: 4
License		: GPL
Group		: Applications/System
URL		: http://iki.fi/karvinen/mounttero
Source		: http://iki.fi/karvinen/mounttero/mounttero-%{version}.tar.bz
BuildRoot	: /var/tmp/%{name}-buildroot
Requires	: autofs, bash, gawk

%description
Autofs map for most common devices, such as USB drives, DVDs, CDROMs, hard 
disks and floppies. Device is mounted automatically when user opens 
its directory, such as /mnt/auto/cdrom, and umounted when when user
leaves the directory. 

Because autofs is probably allready installed, there is no need to install 
new software. Mounttero works with or without a graphical desktop. 

Install the rpm, and '/etc/init.d/autofs restart', 'chkconfig autofs on'. 

%prep
%setup -q

%build

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall mntdir=$RPM_BUILD_ROOT/mnt sysconfdir=$RPM_BUILD_ROOT/tmp/mounttero-etc/ install

%post
install --mode 644 --backup /tmp/mounttero-etc/* %{_sysconfdir}/
mkdir -p /mnt/auto/autofs
chmod a+rx /mmt/auto /mnt/autofs

%postun 
rm /etc/auto.tero

%files
%defattr(644,root,root)
%doc mounttero.html
%config /tmp/mounttero-etc/*
%attr(733, root, root) %{_bindir}/autotero.sh
/mnt/auto

%changelog
* Sun Sep 10 2004 Tero Karvinen tero.karvinen <atta> iki.fi
- Mounttero 0.5: more usb partitions, dvd fix
- Installation instructions to rpm description
- Bugfix: mounttero sometimes only worked as root

* Sat May 29 2004 Tero Karvinen tero.karvinen <atta> iki.fi
- Adapted to Makefile
- Initial spec-file


